commit:     e5625fc26845c1d8938895ad91aff3ce8f71fccc
Author:     Chí-Thanh Christopher Nguyễn <chithanh <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 26 17:57:05 2015 +0000
Commit:     Chí-Thanh Christopher Nguyễn <chithanh <AT> gentoo <DOT> org>
CommitDate: Mon Oct 26 17:57:05 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5625fc2

dev-libs/libinput: Version bump

Package-Manager: portage-2.2.20.1

 dev-libs/libinput/Manifest              |  1 +
 dev-libs/libinput/libinput-1.1.0.ebuild | 53 +++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-libs/libinput/Manifest b/dev-libs/libinput/Manifest
index 056aea1..2b5d34b 100644
--- a/dev-libs/libinput/Manifest
+++ b/dev-libs/libinput/Manifest
@@ -2,3 +2,4 @@ DIST libinput-0.7.0.tar.xz 440228 SHA256 
129f485afe5e4a9394641293991c97cb99f5f33
 DIST libinput-0.9.0.tar.xz 510512 SHA256 
309043976f41f5451c2a4b1c25bc2993b18aecb22524d797f21eb6b6c968ff0d SHA512 
a6f718215428eda45ac00c25d0b62ada84bf924822cb66e0a9b28f4cfc36e7d1678f2dfb47afae16ce4c277d589adcf97aefe8e2e5a154873b649fe4a84527a1
 WHIRLPOOL 
23da6dbcd7b17000cea641e0931db8a9b2ad34b0655e4e31b0419ff4799adc59d2646b10316e073ad49695ebd652c150abf05c39d15c735ecb1d97f6f8c1d8de
 DIST libinput-1.0.0.tar.xz 785056 SHA256 
afbd2751c000a4e5833624b6177a6919ad259f0bca44093947421c885fd42c0f SHA512 
b6fc7973982cb2826fc5beb514e954d7673023628739a86d18b2522b1ad0ecf55f9d6c83e6307c10c633c57d6b61227898aded6a22a2de536c0f14f27d23b903
 WHIRLPOOL 
13304875b753127ada76bf18ba56ea9828d6532db5eefce56439ede83eeeb43b6da6aa59f763d2c912de838221ee53fd7d02bf865e80316a24c412ea001d3043
 DIST libinput-1.0.1.tar.xz 800244 SHA256 
482fb35119b457ba65a8bebaa47e4f6b4dbd77e59c320014a22296847b7ff99e SHA512 
17efc6ddd58aadcd30aecb4d1b8b6ad32f6f61c592f29b0a99aac7d49e5cb814038874d9e8996cd6726f15c58bf4239169564c650a3250a87a9ec6fd3110c5bb
 WHIRLPOOL 
0bba6b4a58ca0020ebcbffe5675d75832b4ed67a350ca141d990f9db522a2eee942543f475d76c1f2b816b849074f4a50e30bcb3adc99bd4abdea1a43800a2d5
+DIST libinput-1.1.0.tar.xz 802348 SHA256 
673186ea2a0d2b695afaa9758834f9217b175774d9ae222e1b43ff63c663f582 SHA512 
7f014eabed120c00fcd2d8748aed44a8ca31fd30bdda8b289ca63f7d1bebb9c49f1d508707fb0c4a5c7c4a37b58548efdff0e9b7761475f18e1cf787a80520e6
 WHIRLPOOL 
028518c20cfc6daa442dd92d04183a6575b95b1f4792a646ce42c09a7bc75e5bb469ca88b8cad89919c0814e00aa65178cc49c9dca6e9aad4ce997a94f9ba645

diff --git a/dev-libs/libinput/libinput-1.1.0.ebuild 
b/dev-libs/libinput/libinput-1.1.0.ebuild
new file mode 100644
index 0000000..2687735
--- /dev/null
+++ b/dev-libs/libinput/libinput-1.1.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils udev
+
+DESCRIPTION="Library to handle input devices in Wayland"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/libinput/";
+SRC_URI="http://www.freedesktop.org/software/${PN}/${P}.tar.xz";
+
+LICENSE="MIT"
+SLOT="0/10"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86"
+IUSE="test"
+# Tests require write access to udev rules directory which is a no-no for live 
system.
+# Other tests are just about logs, exported symbols and autotest of the test 
library.
+RESTRICT="test"
+
+RDEPEND="
+       >=dev-libs/libevdev-0.4
+       >=sys-libs/mtdev-1.1
+       virtual/libudev
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+#      test? (
+#              >=dev-libs/check-0.9.10
+#              dev-util/valgrind
+#              sys-libs/libunwind )
+
+src_configure() {
+       # Doc handling in kinda strange but everything
+       # is available in the tarball already.
+       sed -e 's/^\(SUBDIRS =.*\)doc\(.*\)$/\1\2/' \
+               -i Makefile.am Makefile.in || die
+}
+
+src_configure() {
+       # gui can be built but will not be installed
+       # building documentation silently fails with graphviz syntax errors
+       econf \
+               --disable-documentation \
+               --disable-event-gui \
+               $(use_enable test tests) \
+               --with-udev-dir="$(get_udevdir)"
+}
+
+src_install() {
+       emake install DESTDIR="${D}"
+       dodoc -r doc/html
+       prune_libtool_files
+}

Reply via email to